'use strict';
define([
  'angular',
  'widgets/mapapp/selectiontools/directives/selectiontoolstoolbarDirective',
  'angular-strap',
  'angular-strap.tpl',

  'angular-route',

  'toastr',
  'ol3js',
  'ng-table',
], function(angular, selectiontoolstbDirective) {
  // generation du module
  var map_selectiontools = angular.module('gc_selectiontools', [
    'mgcrea.ngStrap',
    'ngRoute',
    'pascalprecht.translate',
  ]);
  // ajout service

  // ajout controller

  // ajout directive
  map_selectiontools.directive(
    'toolbarselectiontoolsdirective',
    selectiontoolstbDirective
  );

  // ajout factory

  return map_selectiontools;
});
